VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Functions
Steinberg::Vst::Algo Namespace Reference

## Functions
template<typename T >
void | foreach (AudioBusBuffers *audioBusBuffers, int32 busCount, const T &func)
template<typename T >
void | foreach32 (AudioBusBuffers &audioBuffer, const T &func)
template<typename T >
void | foreach64 (AudioBusBuffers &audioBuffer, const T &func)
template<typename T >
void | foreach32 (AudioBusBuffers &buffer1, AudioBusBuffers &buffer2, const T &func)
template<typename T >
void | foreach64 (AudioBusBuffers &buffer1, AudioBusBuffers &buffer2, const T &func)
void | copy32 (AudioBusBuffers *src, AudioBusBuffers *dest, int32 sliceSize, int32 startIndex)
void | copy64 (AudioBusBuffers *src, AudioBusBuffers *dest, int32 sliceSize, int32 startIndex)
void | clear32 (AudioBusBuffers *audioBusBuffers, int32 sampleCount, int32 busCount=1)
void | clear64 (AudioBusBuffers *audioBusBuffers, int32 sampleCount, int32 busCount=1)
void | mix32 (AudioBusBuffers &src, AudioBusBuffers &dest, int32 sampleCount)
void | mix64 (AudioBusBuffers &src, AudioBusBuffers &dest, int32 sampleCount)
bool | isSilent32 (AudioBusBuffers &audioBuffer, int32 sampleCount, int32 startIndex=0)
bool | isSilent64 (AudioBusBuffers &audioBuffer, int32 sampleCount, int32 startIndex=0)
template<typename T >
void | foreach (IEventList *eventList, const T &func)
template<typename T >
void | foreach (IParamValueQueue &paramQueue, const T &func)
template<typename T >
void | foreachLast (IParamValueQueue &paramQueue, const T &func)
template<typename T >
void | foreach (IParameterChanges *changes, const T &func)

## Function Documentation

void Steinberg::Vst::Algo::foreach | ( | AudioBusBuffers * | audioBusBuffers,
|  | int32 | busCount,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach32 | ( | AudioBusBuffers & | audioBuffer,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach64 | ( | AudioBusBuffers & | audioBuffer,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach32 | ( | AudioBusBuffers & | buffer1,
|  | AudioBusBuffers & | buffer2,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach64 | ( | AudioBusBuffers & | buffer1,
|  | AudioBusBuffers & | buffer2,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::copy32 | ( | AudioBusBuffers * | src,
|  | AudioBusBuffers * | dest,
|  | int32 | sliceSize,
|  | int32 | startIndex
| ) |  |
| inline

void Steinberg::Vst::Algo::copy64 | ( | AudioBusBuffers * | src,
|  | AudioBusBuffers * | dest,
|  | int32 | sliceSize,
|  | int32 | startIndex
| ) |  |
| inline

void Steinberg::Vst::Algo::clear32 | ( | AudioBusBuffers * | audioBusBuffers,
|  | int32 | sampleCount,
|  | int32 | busCount = `1`
| ) |  |
| inline

void Steinberg::Vst::Algo::clear64 | ( | AudioBusBuffers * | audioBusBuffers,
|  | int32 | sampleCount,
|  | int32 | busCount = `1`
| ) |  |
| inline

void Steinberg::Vst::Algo::mix32 | ( | AudioBusBuffers & | src,
|  | AudioBusBuffers & | dest,
|  | int32 | sampleCount
| ) |  |
| inline

void Steinberg::Vst::Algo::mix64 | ( | AudioBusBuffers & | src,
|  | AudioBusBuffers & | dest,
|  | int32 | sampleCount
| ) |  |
| inline

bool Steinberg::Vst::Algo::isSilent32 | ( | AudioBusBuffers & | audioBuffer,
|  | int32 | sampleCount,
|  | int32 | startIndex = `0`
| ) |  |
| inline

bool Steinberg::Vst::Algo::isSilent64 | ( | AudioBusBuffers & | audioBuffer,
|  | int32 | sampleCount,
|  | int32 | startIndex = `0`
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach | ( | IEventList * | eventList,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach | ( | IParamValueQueue & | paramQueue,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreachLast | ( | IParamValueQueue & | paramQueue,
|  | const T & | func
| ) |  |
| inline

void Steinberg::Vst::Algo::foreach | ( | IParameterChanges * | changes,
|  | const T & | func
| ) |  |
| inline

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.